Bug 4065 - knfs should be bundled with the user level NFS server
knfs should be bundled with the user level NFS server
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: knfsd (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-16 01:58 EDT by Marc MERLIN
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-09-17 07:47:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc MERLIN 1999-07-16 01:58:31 EDT
I just talked to H.J. Lu (current maintainer of knfs) and
he confirmed that knfsd can't do the following things:
- export all the filesystems as if there were only one
  by exporting /
- export nfs mounted filesystems (actually, I forgot to
  ask that one, but it doesn't seem to work)
- handle a client reading a file that is moved on the server
  outside of the directory where it was when it was open
  (that's because the filehandle depends on dentries)

#1 is a big issue when you use autofs since if you want to
allow /hosts/machine automounts, all the servers have to
export the same filesystem and you put a
*  &:/
entry in your auto.hosts map.
This will fixed once autofs can recursively mount
sub-mountpoints on servers, but until then, user level nfs
is the way to go.

My point is that knfs is cool, but it's not yet a once size
fits all solution, and there are good reasons to still run
the user level version, so I think RH should provide both.
Comment 1 Cristian Gafton 1999-09-17 07:47:59 EDT
Providing both will be a soirce of confusion for a lot of people. For
all the problms described there are workarounds available, that while
inconvenient will solve the problems.

user level nfsd is no longer being maintained, and the sooner we cut
the cord the better.

Note You need to log in before you can comment on or make changes to this bug.